Gantry::Stash(3)

NAME
Gantry::Stash - Main stash object for Gantry

SYNOPSIS
This object is created for you by the handler in the base module.

DESCRIPTION
Use this module to store and retrieve things in the stash (which is good for one web page hit). Example:

    $self->stash->view->title( 'Browser Title Bar Text Here' );

METHODS

new
        Makes a new empty stash object.  Don't try to pass it anything.

view
        Returns the 'view' stash object

controller
        Returns the 'controller' stash object

MODULES

Gantry::Stash::View
Gantry::Stash::Controller

SEE ALSO
Gantry, Gantry::Stash::View, Gantry::Stash::Controller

LIMITATIONS

AUTHOR
Phil Crow <pcrow@sunflowerbroadband.com>

Tim Keefer <tkeefer@gmail.com>

COPYRIGHT and LICENSE
Copyright (c) 2005, Phil Crow.

This library is free software; you can redistribute it and/or modify it under the same terms as Perl itself, either Perl version 5.8.6 or, at your option, any later version of Perl 5 you may have available.